com.amazonaws.services.simpleworkflow.model

## Class ActivityTaskTimedOutEventAttributes

- java.lang.Object
- - com.amazonaws.services.simpleworkflow.model.ActivityTaskTimedOutEventAttributes

All Implemented Interfaces:
  Serializable, Cloneable

    public class ActivityTaskTimedOutEventAttributes
    extends Object
    implements Serializable, Cloneable

Provides details of the `ActivityTaskTimedOut` event.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`ActivityTaskTimedOutEventAttributes()`

### Method Summary

All Methods Instance Methods Concrete Methods
`ActivityTaskTimedOutEventAttributes` `clone()`
`boolean` `equals(Object obj)`
`String` `getDetails()` Contains the content of the `details` parameter for the last call made by the activity to `RecordActivityTaskHeartbeat`.
`Long` `getScheduledEventId()` The ID of the `ActivityTaskScheduled` event that was recorded when this activity task was scheduled.
`Long` `getStartedEventId()` The ID of the `ActivityTaskStarted` event recorded when this activity task was started.
`String` `getTimeoutType()` The type of the timeout that caused this event.
`int` `hashCode()`
`void` `setDetails(String details)` Contains the content of the `details` parameter for the last call made by the activity to `RecordActivityTaskHeartbeat`.
`void` `setScheduledEventId(Long scheduledEventId)` The ID of the `ActivityTaskScheduled` event that was recorded when this activity task was scheduled.
`void` `setStartedEventId(Long startedEventId)` The ID of the `ActivityTaskStarted` event recorded when this activity task was started.
`void` `setTimeoutType(ActivityTaskTimeoutType timeoutType)` The type of the timeout that caused this event.
`void` `setTimeoutType(String timeoutType)` The type of the timeout that caused this event.
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`ActivityTaskTimedOutEventAttributes` `withDetails(String details)` Contains the content of the `details` parameter for the last call made by the activity to `RecordActivityTaskHeartbeat`.
`ActivityTaskTimedOutEventAttributes` `withScheduledEventId(Long scheduledEventId)` The ID of the `ActivityTaskScheduled` event that was recorded when this activity task was scheduled.
`ActivityTaskTimedOutEventAttributes` `withStartedEventId(Long startedEventId)` The ID of the `ActivityTaskStarted` event recorded when this activity task was started.
`ActivityTaskTimedOutEventAttributes` `withTimeoutType(ActivityTaskTimeoutType timeoutType)` The type of the timeout that caused this event.
`ActivityTaskTimedOutEventAttributes` `withTimeoutType(String timeoutType)` The type of the timeout that caused this event.

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ActivityTaskTimedOutEventAttributes

    public ActivityTaskTimedOutEventAttributes()

### Method Detail

#### setTimeoutType

    public void setTimeoutType(String timeoutType)

The type of the timeout that caused this event.

Parameters:
  `timeoutType` - The type of the timeout that caused this event.
See Also:
  `ActivityTaskTimeoutType`

#### getTimeoutType

    public String getTimeoutType()

The type of the timeout that caused this event.

Returns:
  The type of the timeout that caused this event.
See Also:
  `ActivityTaskTimeoutType`

#### withTimeoutType

    public ActivityTaskTimedOutEventAttributes withTimeoutType(String timeoutType)

The type of the timeout that caused this event.

Parameters:
  `timeoutType` - The type of the timeout that caused this event.
Returns:
  Returns a reference to this object so that method calls can be chained together.
See Also:
  `ActivityTaskTimeoutType`

#### setTimeoutType

    public void setTimeoutType(ActivityTaskTimeoutType timeoutType)

The type of the timeout that caused this event.

Parameters:
  `timeoutType` - The type of the timeout that caused this event.
See Also:
  `ActivityTaskTimeoutType`

#### withTimeoutType

    public ActivityTaskTimedOutEventAttributes withTimeoutType(ActivityTaskTimeoutType timeoutType)

The type of the timeout that caused this event.

Parameters:
  `timeoutType` - The type of the timeout that caused this event.
Returns:
  Returns a reference to this object so that method calls can be chained together.
See Also:
  `ActivityTaskTimeoutType`

#### setScheduledEventId

    public void setScheduledEventId(Long scheduledEventId)

The ID of the `ActivityTaskScheduled` event that was recorded when this activity task was scheduled. This information can be useful for diagnosing problems by tracing back the chain of events leading up to this event.

Parameters:
  `scheduledEventId` - The ID of the `ActivityTaskScheduled` event that was recorded when this activity task was scheduled. This information can be useful for diagnosing problems by tracing back the chain of events leading up to this event.

#### getScheduledEventId

    public Long getScheduledEventId()

The ID of the `ActivityTaskScheduled` event that was recorded when this activity task was scheduled. This information can be useful for diagnosing problems by tracing back the chain of events leading up to this event.

Returns:
  The ID of the `ActivityTaskScheduled` event that was recorded when this activity task was scheduled. This information can be useful for diagnosing problems by tracing back the chain of events leading up to this event.

#### withScheduledEventId

    public ActivityTaskTimedOutEventAttributes withScheduledEventId(Long scheduledEventId)

The ID of the `ActivityTaskScheduled` event that was recorded when this activity task was scheduled. This information can be useful for diagnosing problems by tracing back the chain of events leading up to this event.

Parameters:
  `scheduledEventId` - The ID of the `ActivityTaskScheduled` event that was recorded when this activity task was scheduled. This information can be useful for diagnosing problems by tracing back the chain of events leading up to this event.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setStartedEventId

    public void setStartedEventId(Long startedEventId)

The ID of the `ActivityTaskStarted` event recorded when this activity task was started. This information can be useful for diagnosing problems by tracing back the chain of events leading up to this event.

Parameters:
  `startedEventId` - The ID of the `ActivityTaskStarted` event recorded when this activity task was started. This information can be useful for diagnosing problems by tracing back the chain of events leading up to this event.

#### getStartedEventId

    public Long getStartedEventId()

The ID of the `ActivityTaskStarted` event recorded when this activity task was started. This information can be useful for diagnosing problems by tracing back the chain of events leading up to this event.

Returns:
  The ID of the `ActivityTaskStarted` event recorded when this activity task was started. This information can be useful for diagnosing problems by tracing back the chain of events leading up to this event.

#### withStartedEventId

    public ActivityTaskTimedOutEventAttributes withStartedEventId(Long startedEventId)

The ID of the `ActivityTaskStarted` event recorded when this activity task was started. This information can be useful for diagnosing problems by tracing back the chain of events leading up to this event.

Parameters:
  `startedEventId` - The ID of the `ActivityTaskStarted` event recorded when this activity task was started. This information can be useful for diagnosing problems by tracing back the chain of events leading up to this event.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setDetails

    public void setDetails(String details)

Contains the content of the `details` parameter for the last call made by the activity to `RecordActivityTaskHeartbeat`.

Parameters:
  `details` - Contains the content of the `details` parameter for the last call made by the activity to `RecordActivityTaskHeartbeat`.

#### getDetails

    public String getDetails()

Contains the content of the `details` parameter for the last call made by the activity to `RecordActivityTaskHeartbeat`.

Returns:
  Contains the content of the `details` parameter for the last call made by the activity to `RecordActivityTaskHeartbeat`.

#### withDetails

    public ActivityTaskTimedOutEventAttributes withDetails(String details)

Contains the content of the `details` parameter for the last call made by the activity to `RecordActivityTaskHeartbeat`.

Parameters:
  `details` - Contains the content of the `details` parameter for the last call made by the activity to `RecordActivityTaskHeartbeat`.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public ActivityTaskTimedOutEventAttributes clone()

Overrides:
  `clone` in class `Object`